<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "inc/conf.inc.php" );
require( "inc/connect.php" );

$pr_count = @mysql_query( @"SELECT count(*) FROM `users` WHERE ltime>'".@intval( @time( ) - 300 )."';" );
$pdc = @mysql_fetch_array( @$pr_count );
$count = $pdc['count(*)'];
$r = mysql_query( "select count(*) as num from users" );
$a = mysql_fetch_array( $r );
$num = $a['num'];
$q = mysql_query( "SELECT * FROM `settings` WHERE sid='1' " );
$row = mysql_fetch_row( $q );
$reg = $row['1'];
$setting = @mysql_query ("Select * from setting where klu4='1'");
$set = mysql_fetch_array ($setting);
echo "<title>{$cname}</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: x-small; color: {$tcol}; background-color: {$bcol}; text-align: center }";echo "a:link,a:visited { text-decoration: none; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "form { margin: 0px; }a:hover { text-decoration: none;  font-size: 15px; color: red }";
echo "</style>";
echo "</head>";
echo "<body>";
if(file_exists("setup.php"))
{
echo"<p align=\"center\"><font color=\"red\">Внимание!<br>Мы обнаружили у Вас файл <u><b>setup.php</b></u><br>Если вы Зашли впервые на эту страницу И вы утверждаете што вы администратор сервиса то <br><a href=\"setup.php\"><font color=\"lime\">УСТАНОВИ дамп к скрипту</font></a><br/><hr>Если вы уш устанавливали то <b>Удалите файл setup.php</font></b><div>Немного раскажу о чате Адрес для сайтов партнёров на чат <br>http://".$_SERVER['HTTP_HOST']."/chats/?url=Сайт.ru<br>Картинка для сайтов.Показывает сколько людей в чате <br>http://".$_SERVER['HTTP_HOST']."/chats/c.php<br><font color=\"yellow\">С Уважухой Кот с </font><font color=\"#FF9900\"><u><b>http://waufon.ru</b></u></font></div><br>";
} 
echo "<div>В городке\r<a href=\"who.php\">{$count}</a></b>\rчел.</div>";
//echo"Добро пожаловать.<br/>";
//echo"<img src=\"og3.gif\" alt=\"\" >";
//if($set["link1"]!="") {echo "<a href=\"http://".$set["link1"]."\">".$set["link1_name"]."</a><br/>\n";}

if($set["link3"]!="") {echo "<img src=\"http://".$set["link3"]."\"><br/>".$set["link3_name"]."</a><br/>";}
echo "<br/><form method=\"post\" action=\"enter.php\">";
echo "<br/>Логин:<br/>";
echo "<input type=\"text\" name=\"login\" maxlength=\"15\"/><br/>";
echo "Пароль:<br/>";
echo "<input type=\"text\" name=\"pass\" maxlength=\"20\" size=\"15\"/><br/>";
echo "<input value=\"ВОЙТИ\" type=\"submit\"/>";
echo "</form><br/>";
if ($reg == 1)
{
echo "<b><a href=\"rega.php\">РЕГИСТРАЦИЯ</a></b><br/><br/>";
}
else
{
echo"<font color=red>Извините,<br/> но регистрация в чате временно <blink><b>закрыта</b></blink>!!!<br/> С уважением, Администрация.</font><br/>";
}
echo "<iframe height=\"13\" marginwidth=\"0\" width=\"730\" scrolling=\"no\" src=\"save.php\" frameborder=\"0\" marginheight=\"0\"></iframe><p align=\"left\">";


echo "<div>Всего жителей: {$num}";
echo "<br/>";
$q = mysql_query( "select id from users" ); $allu = mysql_num_rows( $q );$q1 = mysql_query( "select id from users where sex='1'" ); $cmans = mysql_num_rows( $q1 ); $q2 = mysql_query( "select id from users where sex='2'" ); $cwomans = mysql_num_rows( $q2 );
echo"<br/><img src=\"man.gif\" alt=\"m\">Парней : <b>{$cmans}</b>";
echo"<br/><img src=\"woman.gif\" alt=\"f\">Девушек : <b>{$cwomans}</b><br/>";
echo "Безполые: <b>".( $allu - ( $cmans + $cwomans ) )."</b> <br/></div>";

/////////////////////////////////////////

if ( empty( $url ) ){print "<b><a href=\"{$slink}\">Главная</a></b><br/><br/>";
}
else{print "<b><a href=\"http://{$url}\">Главная</a></b><br/><br/>";
}
//echo "<div>";
//require("inc/coper.php");
require( "rating.php" );
//echo "</div>";
echo "<b>Лучшее фото</a></b><br/>";

$galery = mysql_query ("select count(id) as num from users where img!='';");
$foto = mysql_fetch_array($galery);
$num = $foto["num"]; 
if ($num == 0){
echo $fsize1;
echo "Нет фото в галерее.<br/>";
}else{
if(!isset($s))$s=0;
$mx=round(($num/10)+0.45);
if($s>$mx)$s=$mx;
if($s==0)$s=1;
$ot=(($s-1)*10)+1;
////Количество вычерпанных фоток///
$do=$s*1;
if($do>$num)$do=$num;
$o=$ot-1;
$r = mysql_query ("select id,login,img,votefoto from `users` where img!='' order by votefoto desc limit $o,$do");
for ($i=$ot;$i<=$do;$i++){
$arr = mysql_fetch_array($r);
$login=$arr['login'];
$usid=$arr['id'];
$img=$arr['img'];
if ($id==$usid){
echo ($i).") <img src=\"photos/$img\" width=60 alt=\"foto\"/></a>Ник: <b>".$login."</a></b>| Голосов: ".$arr['votefoto']."<br/>"; 
}else{
print "<p align=\"left\">";
echo ($i).") <img src=\"photos/$img\" width=60 alt=\"foto\"/></a>Ник: <b>".$login."</b></a>| Голосов: ".$arr['votefoto']."<br/>"; 
}
} 
}

require( "counter.php" );
//Это ссылки на топик и рекламки включать с админки///////
if($set["link1"]!="") {echo "<a href=\"http://".$set["link1"]."\">".$set["link1_name"]."</a><br/>\n";}

//if($set["link3"]!="") {echo "<img src=\"http://".$set["link3"]."\"><br/>".$set["link3_name"]."</a><br/>";}


echo "<br/><b>«".$_SERVER['HTTP_HOST']."»</b>";
echo "\r\n";
echo "</body></html>";
mysql_close($link);
?>